#!/usr/bin/make -f

export INSTALL_PATH = /usr/share/bazel/rules/cc
export RULES_CC_DIR = ${CURDIR}/debian/bazel-rules-cc

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:

execute_before_dh_link-indep:
	jdupes -rl debian/bazel-rules-cc/usr

execute_before_dh_fixperms-indep:
	chmod a+x ${RULES_CC_DIR}/usr/share/bazel/rules/cc/cc/private/toolchain/build_interface_so
	chmod a+x ${RULES_CC_DIR}/usr/share/bazel/rules/cc/cc/private/toolchain/linux_cc_wrapper.sh.tpl
	chmod a+x ${RULES_CC_DIR}/usr/share/bazel/rules/cc/cc/private/toolchain/osx_cc_wrapper.sh.tpl
